from django.core.management.base import CommandError
from optparse import make_option

from django.db.models import Q
from synnefo.lib.ordereddict import OrderedDict
from snf_django.management.commands import SynnefoCommand
from snf_django.management import utils

from survey.models import Survey
from survey.views import _csv_results

import uuid


class Command(SynnefoCommand):
    args = "<survey ID>"
    help = "Show survey participation and result details."

    option_list = SynnefoCommand.option_list + (
        make_option('--results',
                    action='store_true',
                    dest='results',
                    default=False,
                    help="Results csv output"),
        make_option('--language',
                    action='store',
                    dest='language',
                    default='en',
                    help="CSV i18n"),
    )

    def handle(self, *args, **options):
        if len(args) != 1:
            raise CommandError("Please provide a survey ID")

        identifier = args[0]
        try:
            survey = Survey.objects.get(id=int(identifier))
        except:
            msg = "Unknown survey with id '%s'" % (identifier)
            raise CommandError(msg)

        if options['results']:
            print _csv_results(survey, lang=options.get('language', 'en')).read()
            exit(1)

        submissions = survey.submissions.distinct()
        for submission in submissions:
            print submission.created_at, submission.user.log_display


